local config = {
	posiPassagem  = {x = 1116, y = 1164, z = 10, stackpos = 1},
	idEscada     = 383,
	idChao    =    351,
	tempo		 = 15000  -- 3 segundos
}

local function fecharPassagem(pos, itemExId, itemId)
	doTransformItem(getTileItemById(pos,itemExId).uid, itemId)
end
 
function onUse(cid, item, fromPosition, itemEx, toPosition)
    if item.uid == 43350 and item.itemid == 1945 then
        doTransformItem(getTileItemById(config.posiPassagem,config.idChao).uid, config.idEscada)
        addEvent(fecharPassagem, config.tempo, config.posiPassagem, config.idEscada, config.idChao)
	else  
		doSendTextMessage(cid,22,"This is not possible.")
    end
    return true
end